ibatis-user-java mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jeff Butler" <jeffgbut...@gmail.com>
Subject Re: Trying to upgrade iBatis
Date Fri, 18 May 2007 16:11:29 GMT
My guess is that this has something to do with namespaces.  Try using a
fully qualified name in your <include> tag.

Jeff Butler


On 5/17/07, Tom Henricksen <TomH@a-t-g.com> wrote:
>
>  I apologize this error is happening on the line after the one I
> mentioned.  Here is the code.
>
>
>
> singleton = SqlMapClientBuilder.buildSqlMapClient(reader);
>
>
>
> Thanks,
>
> Tom
>
>
>
> -----Original Message-----
> *From:* Tom Henricksen [mailto:TomH@A-t-g.com]
> *Sent:* Thursday, May 17, 2007 10:45 AM
> *To:* user-java@ibatis.apache.org
> *Subject:* Trying to upgrade iBatis
>
>
>
> We are currently using iBatis 2.0.9( I know we are a little behind).  I
> would like to get to the current version(2.3.0).  I have tried 2.0.9b and
> 2.1.5 and get the following exception
>
>
>
> *com.ibatis.common.exception.NestedRuntimeException*: Error occurred.
> Cause: *com.ibatis.common.xml.NodeletException*: Error parsing XML.
> Cause: *com.ibatis.common.exception.NestedRuntimeException*: Error parsing
> XPath '/sqlMapConfig/sqlMap'.  Cause: *
> com.ibatis.common.xml.NodeletException*: Error parsing XML.  Cause: *
> com.ibatis.common.exception.NestedRuntimeException*: Error parsing XPath
> '/sqlMap/update'.  Cause: *
> com.ibatis.common.exception.NestedRuntimeException*: Could not find SQL
> statement to include with refid 'COMMON_OFFACT_FLDS_UPDATE'
>
> Caused by: *com.ibatis.common.exception.NestedRuntimeException*: Could not
> find SQL statement to include with refid 'COMMON_OFFACT_FLDS_UPDATE'
>
>
>
> This comes at startup when we are loading the in the sql maps
>
>
>
> String resource = "sqlmaps-config.xml";
>
>             Reader reader = Resources.getResourceAsReader(resource);
>
>
>
>
>
> This setup works fine with 2.0.9.  I am just replacing the
> ibatis-common-2.jar and the ibatis-sqlmap-2.jar with 2.0.9b jars in this
> case and restarting Tomcat(5.0.30).
>
>
>
> Thanks,
>
> Tom
>

Mime
View raw message